### Method

# Gdk.Event.get_axes

#### Declaration [src]

    gboolean
    gdk_event_get_axes (
      GdkEvent* event,
      double** axes,
      guint* n_axes
    )

#### Description [src]

Extracts all axis values from an event.

#### Parameters

`axes` | An array of `double*`
| the array of values for all axes
| Direction: out
| The length of the array is in the `n_axes` argument
| Ownership is not transferred to the callee
`n_axes` | `guint*`
| the length of array
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` on success, otherwise `FALSE`